<template>
  <v-container>
    <v-row
      align="center"
      no-gutters
    >
      <v-col
        offset="4"
        cols="4"
      >
        <slot name="search" />
      </v-col>
      <v-col
        offset="2"
        cols="2"
      >
        <slot name="create" />
      </v-col>
    </v-row>
    <v-row v-if="columnsToShow">
      <v-col
        offset="8"
        cols="4"
      >
        <slot name="columnsToShow" />
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
  export default {
    name: 'ActionsContainer',
    props: {
      columnsToShow: {
        type: Boolean,
        required: false,
        default: false,
      },
    },
  }
</script>
